Subject: Re: [rbridge] rbridge Digest, Vol 95, Issue 11

From: "Naveen Nimmu" <[email-masked]>
Date: Thu, 5 Apr 2012 17:10:21 +0000

+1 vote to make it WG document.
Thanks
naveen
________________________________________
From: [email-masked] [[email-masked]] on behalf of [email-masked] [[email-masked]]
Sent: Thursday, April 05, 2012 8:07 PM
To: [email-masked]
Subject: rbridge Digest, Vol 95, Issue 11

Send rbridge mailing list submissions to
        [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
        http://mailman.postel.org/mailman/listinfo/rbridge
or, via email, send a message with subject or body 'help' to
        [email-masked]

You can reach the person managing the list at
        [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of rbridge digest..."

Today's Topics:

   1. Re: Call for draft-tissa-trill-cmt-00 to WG draft
      (Tissa Senevirathne (tsenevir))
   2. Re: Call for draft-tissa-trill-cmt-00 to WG draft
      (Tissa Senevirathne (tsenevir))

----------------------------------------------------------------------

Message: 1
Date: Thu, 5 Apr 2012 07:28:38 -0700
From: "Tissa Senevirathne (tsenevir)" <[email-masked]>
Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
To: "Ayan Banerjee (ayabaner)" <[email-masked]>,
        <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="us-ascii"

+1 vote in support.

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Ayan Banerjee (ayabaner)
Sent: Wednesday, April 04, 2012 11:03 PM
To: [email-masked]
Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Yes, I believe that this is an important piece of the puzzle and should
be made a WG document.

Thanks,
Ayan
====

During the TRILL session today, there was a consensus of those in the
room to make draft-tissa-trill-cmt-00.txt a TRILL WG draft. This is a
call on the WG mailing list to confirm that consensus. If you wish to
respond, please do so by April 10th.

Thanks,
Donald

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mailman.postel.org/pipermail/rbridge/attachments/20120405/f43f46e0/attachment-0001.html

------------------------------

Message: 2
Date: Thu, 5 Apr 2012 07:36:47 -0700
From: "Tissa Senevirathne (tsenevir)" <[email-masked]>
Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
To: "Mingui Zhang" <[email-masked]>,    "Janardhanan Pathangi
        Narasimhan" <[email-masked]>
Cc: [email-masked]
Message-ID:
        <[email-masked]>
Content-Type: text/plain;       charset="gb2312"

Mingui

I choose only to answer your last question on "MT is already supported in TRILL". Why are you saying that ? I do not see any RFC or WG document ?

-----Original Message-----
From: Mingui Zhang [mailto:[email-masked]]
Sent: Thursday, April 05, 2012 1:53 AM
To: Tissa Senevirathne (tsenevir); Janardhanan Pathangi Narasimhan
Cc: [email-masked]
Subject: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Tissa,

If one tries hard to search, then he will find each solution has its drawbacks. The reluctance to deploy MT maybe a problem to MTRA, I agree with you. But, as I had pointed out in my draft, MTRA is capable to be run in the same campus and uses other solutions in the base topology. However, I need to pointed out that the reason why there are not many L3 MT is a historical one. For switches/bridges, especially when they are used in data center networks, ECMP and multi-path features are highly desired. For the benefit of the WG, I don't want to mention the names of TRILL pre-standard implementations and devices that work like TRILL from other SDOs. I think you can find examples that support MT. We can talk about this problem offline.

Personally, the WG voting should not be used as a tool to endorse a solution before WG members are clear that it is workable and there are other competing solutions working for an overlapping problem space. IMHO, competing solutions should be merged or adopted as alternatives. Just as that we allow cheap local-brand cars to run on same roads along with BMWs. Let customers make choices themselves.

Before the final WG decision is made, let me outline the winning advantages of MTRA for the WG members to consider.
1. MTRA is incremental deploy-able. It allows other non-MTRA RBridges exist in the same campus as transit or edge nodes. The solutions to communicate with non-MTRA are depicted in the email to Jon, you can find it.
2. MTRA realizes traffic segregation which guarantees that a LAG link failure is isolated in a specific topology.
3. MTRA is able to converge fast when there is a node/link failure of the aggregation.
4. If MT is already supported by TRILL, no extra TLVs are needed.

Thanks,
Mingui

   > -----Original Message-----
   > From: Tissa Senevirathne (tsenevir) [mailto:[email-masked]]
   > Sent: Monday, April 02, 2012 11:14 PM
   > To: Mingui Zhang; Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > Subject: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Mingui
   >
   >
   >
   > You are assuming a lot.
   >
   > That is:
   >
   > 1. People will deploy Multi-topology when they need active-active
   > forwarding.
   >
   > 2. It is easy to deploy and people will like it
   >
   > 3. It is already out there
   >
   >
   >
   > #2 you can check % vise how many MT installations there in L3 world.
   >
   >
   >
   > Again I would summarize CMT need only one TLV, MT require lot more TLV
   > and require major changes to RFC6326 control plane.
   >
   >
   >
   > Backward compatibility of control plane in my world is not an issue as we are
   > exchanging more emails than really trying to deploy RBridges and there are no
   > RBridges there forwarding packets in real networks.
   >
   >
   >
   > However, your claim that MT is backward compatible without any tweaks is
   > false (Jana has pointed out several times).
   >
   >
   >
   > Like I have said, many times before, MT approach you have may be utilized
   > for active-active forwarding in MT installations. I will support that solution as
   > an optimization for MT, certainly I **do not** support it  as the only solution
   > for all active-active deployments. If we agree on that then we have consensus
   > and both work can move forward (we need to make progress). If not then we
   > can continue to disagree and I request WG chairs to decide via a vote on
   > making CMT a WG document.
   >
   >
   >
   >
   >
   > Thanks
   >
   > Tissa
   >
   > From: Mingui Zhang [mailto:[email-masked]]
   > Sent: Monday, April 02, 2012 7:54 AM
   > To: Tissa Senevirathne (tsenevir); Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > Subject: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Tissa,
   >
   >
   >
   > We know that RBridge Aggregation is used to increase the access capacity
   > without upgrade of the RBridges. The motivation is the same as the traditional
   > LAG: it will help customers to reduce their investment. If active-active
   > multi-homing can work well, customers will eager to purchase MT feature. It
   > may even act as a factor that promotes MT-TRILL, who knows.
   >
   >
   >
   > On the other hand, since MTRA is backward compatible, it allows other
   > non-MTRA solutions co-exist in the campus. These solutions work in the base
   > topology. These solutions may include tunneling approach. As we know,
   > tunneling had been widely used on traditional switches. If there are
   > customers who really do not like MT, just use tunneling approach or others.
   >
   >
   >
   > However, I don't think that multi-topology is that expensive. I believe you
   > have heard of silicons or implementations already support multi-topology
   > feature before 2010 when RFC 6325 was published.
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   >
   >
   > ________________________________
   >
   > ??????: Tissa Senevirathne (tsenevir) [[email-masked]]
   > ????????: 2012??4??2?? 0:27
   > ??: Janardhanan Pathangi Narasimhan; Mingui Zhang
   > Cc: [email-masked]
   > ????: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Mingui
   >
   >
   >
   > I have not seen an answer for the questions below could you please answer
   > simple question:
   >
   >
   >
   > What is your proposal for active-active for people who do not want to run
   > multi-topology ?
   >
   >
   >
   > From: Tissa Senevirathne (tsenevir)
   > Sent: Friday, March 30, 2012 1:37 AM
   > To: Tissa Senevirathne (tsenevir); 'Janardhanan Pathangi Narasimhan'; 'Mingui
   > Zhang'
   > Cc: [email-masked]'
   > Subject: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Small typo correction
   >
   >
   >
   > From: Tissa Senevirathne (tsenevir)
   > Sent: Friday, March 30, 2012 1:25 AM
   > To: 'Janardhanan Pathangi Narasimhan'; Mingui Zhang
   > Cc: [email-masked]
   > Subject: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Jana is absolutely correct on the observation below.
   >
   >
   >
   > One more point to add, as have indicated earlier
   >
   >
   >
   > 1.       Not all customer will run multi-topology
   >
   > 2.       You cannot force customers to run multi-topology when they need
   > active-active forwarding
   >
   > 3.       What is your solution for customers who *do NOT* want to run
   > multi-topology ?
   >
   >
   >
   > From: [email-masked] [mailto:[email-masked]] On
   > Behalf Of Janardhanan Pathangi Narasimhan
   > Sent: Friday, March 30, 2012 12:30 AM
   > To: Mingui Zhang
   > Cc: [email-masked]
   > Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Mingui
   >
   >
   >
   >   When you realize active-active, you are asking for the active-active to be
   > setup in a new topology and not the base topology. So these nodes which
   > need to talk to the other nodes which are behind non-MT RBridges cannot do
   > so any more.
   >
   >
   >
   >   Specifically for MT to be backward compatible, you need all nodes which
   > want to talk to each other part of the base topology. If you do that you cannot
   > realize active-active. If you put the active-active in a new topology, than they
   > can no longer talk to nodes on the base topology of non-MT RBridges.
   >
   >
   >
   > So yes, MT-TRILL is backward compatible for base topology, but the realization
   > of active-active with MT ?C TRILL is not backward compatible. That was the
   > point I was bringing up.
   >
   >
   >
   > Thanks
   >
   > Jana
   >
   >
   >
   >
   >
   > From: Mingui Zhang [mailto:[email-masked]]
   > Sent: Friday, March 30, 2012 12:15 PM
   > To: Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > Subject: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Jana,
   >
   >
   >
   > All RBridges in the campus are in the base topology. MT RBridges can well
   > communicate with non-MT RBridges using the base topology.
   >
   >
   >
   > I feel that you are arguing that MT-TRILL is not backward compatible. That is a
   > incorrect judgement.
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   > ________________________________
   >
   > ??????: Janardhanan Pathangi Narasimhan [[email-masked]]
   > ????????: 2012??3??30?? 13:29
   > ??: Mingui Zhang
   > Cc: [email-masked]
   > ????: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Mingui,
   >
   >
   >
   > With MT approach, when two RBridges which had stations talking to each
   > other and one of them is converted to MT, then the communication is broken.
   > So it does not have backward computability.
   >
   >
   >
   > Thanks
   >
   > Jana
   >
   >
   >
   >
   >
   > From: Mingui Zhang [mailto:[email-masked]]
   > Sent: Friday, March 30, 2012 12:27 AM
   > To: Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > Subject: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Jana,
   >
   >
   >
   > Let us assume that I have 20 RBridges in the campus which have end systems
   > connected to it, and all of them need to be reachable. So if a few of them are
   > converted to MTRA RBridges to support active-active, does it mean that
   > RBridges which are not yet converted will not be able to anymore see the
   > nodes connected to these virtual RBridges? Or am I missing something here?
   >
   >
   >
   > ZMG> Although physical reachability can be all to all, it does not mean than
   > the end systems will really communicate in an all to all manner. It is restricted
   > by the VLAN configuration of the campus. Let me give you an example, RB1,
   > RB2, RB3 and RB4 have an all to all connection. The access ports of RB1 and
   > RB3 are configured as the VLAN for end systems of the Dept of Computer
   > Science while the access ports of RB2 and RB4 are configured as another VLAN
   > for end systems of the Dept of Literature. End systems from the same
   > department can talk with each other. But end systems from two different
   > departments will not talk with each other.
   >
   >
   >
   > I am not sure if that is practical, and always possible may depend on the nodes
   > connected and also what controls are available on them
   >
   >
   >
   > ZMG> Think about it. When an operator have a LAG connected to a group of
   > RBridges, he has to decide which port to plug the cables in. He need enter the
   > console window to input the command line to configure parameters and start
   > the LAG. He also need to configure the tuple used for hashing.
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   >
   >
   >
   >
   >
   >
   > ________________________________
   >
   > ??????: Janardhanan Pathangi Narasimhan [[email-masked]]
   > ????????: 2012??3??30?? 0:49
   > ??: Mingui Zhang
   > Cc: [email-masked]
   > ????: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Mingui,
   >
   >
   >
   > I am slightly confused.
   >
   >
   >
   > For the intra-topology scenario, MT unaware RBridges will not appear in a
   > specific topology other than the based topology. In other words, MTRA
   > RBridges only talks only with MTRA RBridges. Since they all support MT, MTRA
   > can work very well among them. In this scenario, MTRA RBridges and old
   > RBridges co-exist in the same campus. Therefore, this is a solid example that
   > MTRA can be deployed incrementally. Remember, CMT does not allow such
   > kind of deployment.
   >
   >
   >
   > Let us assume that I have 20 RBridges in the campus which have end systems
   > connected to it, and all of them need to be reachable. So if a few of them are
   > converted to MTRA RBridges to support active-active, does it mean that
   > RBridges which are not yet converted will not be able to anymore see the
   > nodes connected to these virtual RBridges? Or am I missing something here?
   >
   >
   >
   > For the inter-topology scenario, we assume MTRA RBridges have to talk with
   > MT unaware RBridges (This is a rigorous assumption.) If operators do want to
   > realize such kind of connection, it is reasonable to assume they will accept the
   > requirement that they need to configure their hashing function to remove
   > the possible MAC flip-flop.
   >
   >
   >
   > I am not sure if that is practical, and always possible may depend on the nodes
   > connected and also what controls are available on them
   >
   >
   >
   > Thanks
   >
   > Jana
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   > ________________________________
   >
   > ??????: [email-masked] [[email-masked]] ????
   > Mingui Zhang [[email-masked]]
   > ????????: 2012??3??29?? 18:50
   > ??: Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > ????: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Jana,
   >
   >
   >
   > >In section 4.1, could you please explain how the frame that is ingressed by
   > RB1 through RBv001 is received at RBx?
   >
   >
   >
   > Two scenarios are given in Section 4. Section 4.1 talks about the intra-topology
   > scenario. Here, RBx is not in topology 1 so it is unreachable by RB1. It need not
   > set up any forwarding path to RBx.
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   > ________________________________
   >
   > ??????: Janardhanan Pathangi Narasimhan [[email-masked]]
   > ????????: 2012??3??28?? 22:52
   > ??: Mingui Zhang
   > Cc: [email-masked]
   > ????: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Mingui,
   >
   >
   >
   > Section 4, does not give backward compatibility. For e.g. in section 4.2 multi
   > destination frames will be ingressed with two different bridge ID causing MAC
   > move, and having to impose restrictions on hashing functions at the external
   > node may or may not be acceptable . I am not sure that this can be classified
   > as backward compatible since it is not a full solution and can also cause
   > frequent MAC flip flops etc.
   >
   >
   >
   > In section 4.1, could you please explain how the frame that is ingressed by
   > RB1 through RBv001 is received at RBx?
   >
   >
   >
   > Thanks
   >
   > Jana
   >
   >
   >
   >
   >
   > From: Mingui Zhang [mailto:[email-masked]]
   > Sent: Wednesday, March 28, 2012 7:15 PM
   > To: Janardhanan Pathangi Narasimhan
   > Cc: [email-masked]
   > Subject: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Jana,
   >
   >
   >
   > I think I should answer your question. I am Mingui Zhang.
   >
   > Please refer to the draft
   > http://tools.ietf.org/html/draft-zhang-trill-multi-topo-rpfc-00. Section 4 is
   > right for the topic you are interested. As a starter draft on the RPFC using
   > Multi-topology. I will be happy to receive your comments.
   >
   >
   >
   > Thanks,
   >
   > Mingui
   >
   > ________________________________
   >
   > ??????: Janardhanan Pathangi Narasimhan [[email-masked]]
   > ????????: 2012??3??28?? 19:14
   > ??: Rohit Watve (rwatve); Mingui Zhang; Radia Perlman; Tissa Senevirathne
   > (tsenevir)
   > Cc: [email-masked]
   > ????: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Zhai,
   >
   >
   >
   > In the Multi-topology case I am not sure what is meant by incrementally
   > deployable. Assuming that all the RBridges in the campus do not understand
   > MT except for the RBridges which participate in the Virtual RBrodge, it looks
   > like this will cause MAC flip flop on the other RBridges and other issues since
   > all the other RBridges do not understand MT.
   >
   >
   >
   > Could you please explain how MT can work in such scenarios?
   >
   >
   > Thanks
   >
   > Jana
   >
   >
   >
   >
   >
   > From: [email-masked] [mailto:[email-masked]] On
   > Behalf Of Rohit Watve (rwatve)
   > Sent: Wednesday, March 28, 2012 3:53 PM
   > To: Mingui Zhang; Radia Perlman; Tissa Senevirathne (tsenevir)
   > Cc: [email-masked]
   > Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > Hi Mingui,
   >
   > 5. Fast convergence on failure recovery. We know that resilience is one of the
   > two main purposes of "aggregation". This dimension discusses whether the
   > solution offers a way to do fast failure recovery when there is a failure of an
   > aggregated RBridge or link.
   >
   > PN: NO. The new distribution tree need to be recomputed.
   >
   > CMT: NO. A overall re-configuration is necessary.
   >
   > MTRA: YES.
   >
   > CMT does not need reconfiguration. If one Rbridge advertizing affinity tlv
   > goes down, the tree can be rooted at the other Egress Rbridge ID advertizing
   > affinity tlv.
   >
   > Also, consider adding following to the comparison table
   >
   > Number of New TLVs (and resulting complexity)
   >
   > PN: 3
   >
   > CMT: 1
   >
   > MTRA: multiple
   >
   > Thanks
   > Rohit
   >
   > -----Original Message-----
   > From: [email-masked] [mailto:[email-masked]] On
   > Behalf Of Mingui Zhang
   > Sent: Wednesday, March 28, 2012 2:10 AM
   > To: Radia Perlman; Tissa Senevirathne (tsenevir)
   > Cc: [email-masked]
   > Subject: ????: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   > Hi Radia,
   >
   > It is a good idea to list the Pros and Cons of each solution. There are three
   > candidate solutions for the same RPFC problem: PN, CMT and MTRA
   > (Multi-Topology TRILL for RBridge Aggregation). Let me compare them in the
   > following dimensions.
   >
   > 1. Whether the solution is incrementally deploy-able.
   >
   > PN: YES.
   >
   > CMT: NO.
   >
   > MTRA: YES.
   >
   > 2. Use only existing silicons.
   >
   > PN: NO. New silicon is necessary to support "tunneling" or else MAC
   > addresses may flip-flop.
   >
   > CMT: YES.
   >
   > MTRA: Currently NO. But after multi-topology is supported by TRILL, it is a
   > "YES".
   >
   > 3. Multi-cast traffic up from RBv can be load-balanced.
   >
   > PN: NO.
   >
   > CMT: YES.
   >
   > MTRA: YES.
   >
   > 4. Multi-cast traffic down to RBv can be load-balanced.
   >
   > PN: NO.
   >
   > CMT: YES.
   >
   > MTRA: YES.
   >
   > 5. Fast convergence on failure recovery. We know that resilience is one of the
   > two main purposes of "aggregation". This dimension discusses whether the
   > solution offers a way to do fast failure recovery when there is a failure of an
   > aggregated RBridge or link.
   >
   > PN: NO. The new distribution tree need to be recomputed.
   >
   > CMT: NO. A overall re-configuration is necessary.
   >
   > MTRA: YES.
   >
   > The following table lists all above comparisons (A jpg version is also attached
   > just in case.). MTRA is always YES. I think it deserves our follow-up.
   >
   > +--------+------------+-----------+----------+------------+-------------+
   >
   > |Solution|Incre-Deploy|Old Silicon|LB Upwards|LB Downwards|Fast
   > Converge|
   >
   > +--------+------------+-----------+----------+------------+-------------|
   >
   > |PN      |YES         |NO         |NO        |NO          |NO
   > |
   >
   > +--------+------------+-----------+----------+------------+-------------|
   >
   > |CMT     |NO          |YES        |YES       |YES         |NO
   > |
   >
   > +--------+------------+-----------+----------+------------+-------------|
   >
   > |MTRA    |YES         |YES(will)  |YES       |YES         |YES
   > |
   >
   > +--------+------------+-----------+----------+------------+-------------+
   >
   > Thanks,
   >
   > Mingui
   >
   >
   >
   > ??????: [email-masked] [[email-masked]] ????
   > Radia Perlman [[email-masked]]
   >
   > ????????: 2012??3??28?? 12:52
   >
   > ??: Tissa Senevirathne (tsenevir)
   >
   > Cc: [email-masked]
   >
   > ????: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
   >
   >
   >
   > It is my understanding that
   >
   > a) CMT does require changing all the RBs in the campus
   >
   > b) CMT requires there be at least as many trees as there are active/active RBs
   > on any link
   >
   >
   >
   > Of course, no solution is ideal.  It might have been nice to write up all the
   > proposed solutions to this and pros/cons. Maybe it's
   >
   > still worth doing.
   >
   >
   >
   > So from memory...other proposals for allowing R1, R2, and R3 to be
   > active/active/active on a link:
   >
   >
   >
   > First note: regardless of whether their port to the link is in a tree, unicast
   > works, and they can use the pseudonode
   >
   > nickname when encapsulating unicast.
   >
   >
   >
   > Also, if Ri's port to the link is in at least one tree, Ri can use the pseudonode
   > nickname for that link when encapsulating
   >
   > multidestination frames for ingress, and the RPF check will work without any
   > problems.
   >
   >
   >
   > However, if Ri's port to the link is not in any of the trees,
   >
   > here were some of the proposed solutions.  So, let's say that R1 and R2's
   > port to the shared link is in at least one tree, and R3's
   >
   > port to the link is not in any of the trees, and R3 needs to encapsulate a
   > multidestination frame:
   >
   >
   >
   > 1) R3 could tunnel it to one of {R1, R2}, and let them inject the packet (with
   > pseudonode nickname) into the campus.
   >
   >
   >
   > Pro: Doesn't affect any RBs other than the ones on the link; backwards
   > compatible.  Con: more hops, might be difficult
   >
   > in some implementations for R3 to forward by tunneling, might be difficult for
   > R2 to accept a tunneled packet.
   >
   >
   >
   > 2) R3 could use its own nickname instead of the pseudonode nickname in this
   > case
   >
   >
   >
   > Pro: Doesn't affect any RBs other than the ones on the link; backwards
   > compatible.  Con: MAC learning in distant RBs will have
   >
   > frequent learning changes of the source MAC S between being on the
   > pseudonode nickname (whenever S sends unicast,
   >
   > or multicast through R1 or R2), or being on R3 (when R3 has to encapsulate a
   > multidestination frame from S).
   >
   >
   >
   > ------
   >
   > There might have been some other proposals, but they wound up not to
   > work.
   >
   >
   >
   > Personally, I don't love the CMT thing because of the two disadvantages I
   > mentioned above, but I can live with it.
   >
   >
   >
   > Radia
   >
   >

------------------------------

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

End of rbridge Digest, Vol 95, Issue 11
***************************************

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: varshah <[email-masked]>
Date: Fri, 06 Apr 2012 04:49:21 -0700

+1 for making draft-tissa-trill-cmt-00 a WG draft.

Thanks,
-Varun

On 4/5/12 7:37 AM, "[email-masked]" <[email-masked]>
wrote:

> URL: 
> http://mailman.postel.org/pipermail/rbridge/attachments/20120405/f43f46e0/atta
> chment-0001.html
> 
> I choose only to answer your last question on "MT is already supported in
> TRILL". Why are you saying that ? I do not see any RFC or WG document ?
> 
> If one tries hard to search, then he will find each solution has its
> drawbacks. The reluctance to deploy MT maybe a problem to MTRA, I agree with
> you. But, as I had pointed out in my draft, MTRA is capable to be run in the
> same campus and uses other solutions in the base topology. However, I need to
> pointed out that the reason why there are not many L3 MT is a historical one.
> For switches/bridges, especially when they are used in data center networks,
> ECMP and multi-path features are highly desired. For the benefit of the WG, I
> don't want to mention the names of TRILL pre-standard implementations and
> devices that work like TRILL from other SDOs. I think you can find examples
> that support MT. We can talk about this problem offline.
> 
> Personally, the WG voting should not be used as a tool to endorse a solution
> before WG members are clear that it is workable and there are other competing
> solutions working for an overlapping problem space. IMHO, competing solutions
> should be merged or adopted as alternatives. Just as that we allow cheap
> local-brand cars to run on same roads along with BMWs. Let customers make
> choices themselves.
> 
> 1. MTRA is incremental deploy-able. It allows other non-MTRA RBridges exist in
> the same campus as transit or edge nodes. The solutions to communicate with
> non-MTRA are depicted in the email to Jon, you can find it.

---

From: "Rohit Watve (rwatve)" <[email-masked]>
Date: Tue, 10 Apr 2012 18:31:39 -0700

Thanks
Rohit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Varun Shah (varshah)
Sent: Friday, April 06, 2012 4:49 AM
To: [email-masked]
Subject: Re: [rbridge] rbridge Digest, Vol 95, Issue 11

Thanks,
-Varun

On 4/5/12 7:37 AM, "[email-masked]"
<[email-masked]>

>       (Tissa Senevirathne (tsenevir))
http://mailman.postel.org/pipermail/rbridge/attachments/20120405/f43f46e
0/atta
> Before the final WG decision is made, let me outline the winning
advantages of
> MTRA for the WG members to consider.
> 2. MTRA realizes traffic segregation which guarantees that a LAG link
failure
> is isolated in a specific topology.
> 3. MTRA is able to converge fast when there is a node/link failure of
the
> aggregation.
>> an optimization for MT, certainly I **do not** support it  as the
only
>> solution
>> want to talk to each other part of the base topology. If you do that
you
>> cannot
>> realize active-active. If you put the active-active in a new
topology, than
>> they
>> I feel that you are arguing that MT-TRILL is not backward compatible.
That is
>> a
>> connected to it, and all of them need to be reachable. So if a few of
them
>> are
>> the end systems will really communicate in an all to all manner. It
is
>> restricted
>> I am not sure if that is practical, and always possible may depend on
the
>> nodes
>> RBridges, he has to decide which port to plug the cables in. He need
enter
>> the
>> connected to it, and all of them need to be reachable. So if a few of
them
>> are
>> realize such kind of connection, it is reasonable to assume they will
accept
>> the
>> I am not sure if that is practical, and always possible may depend on
the
>> nodes
>> scenario. Here, RBx is not in topology 1 so it is unreachable by RB1.
It need
>> not
>> Section 4, does not give backward compatibility. For e.g. in section
4.2
>> multi
>> like this will cause MAC flip flop on the other RBridges and other
issues
>> since
>> 5. Fast convergence on failure recovery. We know that resilience is
one of
>> the
>> solution offers a way to do fast failure recovery when there is a
failure of
>> an
>> 5. Fast convergence on failure recovery. We know that resilience is
one of
>> the
>> solution offers a way to do fast failure recovery when there is a
failure of
>> an
>> The following table lists all above comparisons (A jpg version is
also
>> attached
+--------+------------+-----------+----------+------------+-------------
+
>> |Solution|Incre-Deploy|Old Silicon|LB Upwards|LB Downwards|Fast
+--------+------------+-----------+----------+------------+-------------
|
>> |PN      |YES         |NO         |NO        |NO          |NO
+--------+------------+-----------+----------+------------+-------------
|
>> |CMT     |NO          |YES        |YES       |YES         |NO
+--------+------------+-----------+----------+------------+-------------
|
>> |MTRA    |YES         |YES(will)  |YES       |YES         |YES
+--------+------------+-----------+----------+------------+-------------
+
>> b) CMT requires there be at least as many trees as there are
active/active
>> RBs
>> First note: regardless of whether their port to the link is in a
tree,
>> unicast
>> Also, if Ri's port to the link is in at least one tree, Ri can use
the
>> pseudonode
>> 1) R3 could tunnel it to one of {R1, R2}, and let them inject the
packet
>> (with
>> in some implementations for R3 to forward by tunneling, might be
difficult
>> for